## wxGridCellFloatEditor

The editor for floating point numbers data.

Derived from

wxGridCellTextEditor
wxGridCellEditor

See also

wxGridCellEditor, wxGridCellNumberEditor, wxGridCellBoolEditor, wxGridCellTextEditor, wxGridCellChoiceEditor

Include files

<wx/grid.h>

Members

wxGridCellFloatEditor::wxGridCellFloatEditor
wxGridCellFloatEditor::SetParameters

### wxGridCellFloatEditor::wxGridCellFloatEditor

wxGridCellFloatEditor(int width = -1, int precision = -1)

width

Minimum number of characters to be shown.

precision

Number of digits after the decimal dot.

### wxGridCellFloatEditor::SetParameters

void SetParameters(const wxString& params)

Parameters string format is "width,precision"